package eu.eudat.file.transformer.configuration;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.bind.ConstructorBinding;

@ConfigurationProperties(prefix = "file.template")
public class FilePathProperties {
    private final String wordTemplate;
    private final String pidTemplate;
    private final String wordDescriptionTemplate;

    @ConstructorBinding
    public FilePathProperties(String wordTemplate, String pidTemplate, String wordDescriptionTemplate) {
        this.wordTemplate = wordTemplate;
        this.pidTemplate = pidTemplate;
        this.wordDescriptionTemplate = wordDescriptionTemplate;
    }

    public String getWordTemplate() {
        return wordTemplate;
    }

    public String getPidTemplate() {
        return pidTemplate;
    }

    public String getWordDescriptionTemplate() {
        return wordDescriptionTemplate;
    }
}
