package eu.eudat.file.transformer.model.enums;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import eu.eudat.file.transformer.enums.DatabaseEnum;
import eu.eudat.file.transformer.enums.DmpVersionStatus;
import eu.eudat.file.transformer.enums.EnumUtils;

import java.util.Map;

public enum FileFormats implements DatabaseEnum<String> {
    DOCX("docx"),
    PDF("pdf");

    private final String value;

    FileFormats(String value) {
        this.value = value;
    }

    @JsonValue
    public String getValue() {
        return value;
    }

    private static final Map<String, FileFormats> map = EnumUtils.getEnumValueMap(FileFormats.class);

    @JsonCreator
    public static FileFormats of(String i) {
        return map.get(i);
    }
}
