package eu.eudat.file.transformer.utils.pdf;

import eu.eudat.file.transformer.model.file.FileEnvelopeInternal;
import org.springframework.core.io.FileSystemResource;
import org.springframework.http.MediaType;
import org.springframework.web.reactive.function.BodyInserters;
import org.springframework.web.reactive.function.client.WebClient;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.file.Files;
import java.util.UUID;

public class PDFUtils {

    public static File convertToPDF(FileEnvelopeInternal file, String tempPath, String pdfUrl) throws IOException {
        WebClient webClient = WebClient.builder().baseUrl(pdfUrl).build();


        byte[] queueResult = webClient.post().uri("forms/libreoffice/convert")
                .headers(httpHeaders -> httpHeaders.setContentType(MediaType.MULTIPART_FORM_DATA))
                .body(BodyInserters.fromMultipartData("file", new FileSystemResource(file.getFile())))
                .retrieve().bodyToMono(byte[].class).block();

        File resultPdf = new File(tempPath + "/" + UUID.randomUUID() + ".pdf");
        if (queueResult != null) {
            try (FileOutputStream output = new FileOutputStream(resultPdf)) {
                output.write(queueResult);
            }
        }
        Files.deleteIfExists(file.getFile().toPath());

        return resultPdf;
    }
}
