package eu.eudat.file.transformer.utils.pid;

import com.fasterxml.jackson.databind.ObjectMapper;
import eu.eudat.file.transformer.model.PidLink;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.util.ResourceUtils;

import java.io.IOException;
import java.util.List;

public class PidLoader {
    private static final Logger logger = LoggerFactory.getLogger(PidLoader.class);
    private static final ObjectMapper objectMapper = new ObjectMapper();

    public static List<PidLink> loadPidLinks(String pidPath) {
        try {
            return objectMapper.readValue(ResourceUtils.getFile(pidPath), PidLinksWrapper.class).getPidLinks();
        } catch (IOException e) {
            logger.error(e.getMessage(), e);
        }
        return null;
    }

    protected class PidLinksWrapper {
        private List<PidLink> pidLinks;

        public List<PidLink> getPidLinks() {
            return pidLinks;
        }

        public void setPidLinks(List<PidLink> pidLinks) {
            this.pidLinks = pidLinks;
        }
    }
}
